summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorErik Troan <ewt@redhat.com>2001-04-03 21:58:18 +0000
committerErik Troan <ewt@redhat.com>2001-04-03 21:58:18 +0000
commit5db5503583d770845759f1fa7e2799d2c08b1f51 (patch)
treefa0c7f868c0e05072dbe578dc29dd334b519e6da
parentcaf635438c3aafe89c7f90165e8aa8da9840cdad (diff)
downloadanaconda-5db5503583d770845759f1fa7e2799d2c08b1f51.tar.gz
anaconda-5db5503583d770845759f1fa7e2799d2c08b1f51.tar.xz
anaconda-5db5503583d770845759f1fa7e2799d2c08b1f51.zip
small fixes
-rwxr-xr-xscripts/mk-dd3
1 files changed, 2 insertions, 1 deletions
diff --git a/scripts/mk-dd b/scripts/mk-dd
index 8a9f369a8..271a86b1d 100755
--- a/scripts/mk-dd
+++ b/scripts/mk-dd
@@ -36,11 +36,12 @@ modversions=$(rpm -ql kernel-source-$version | grep modversions.h)
usage() {
echo "usage: ./mk-dd <source.c> <kernel-version>"
+ exit 1
}
if [ ! -x /usr/lib/anaconda-runtime/modlist -o ! -f /usr/lib/anaconda-runtime/loader/module-info ]; then
echo "You need to have anaconda-runtime installed."
- usage()
+ usage
fi
if [ ! -f "$srcname" -o ! -f $modversions ]; then